window.Gleam.initSearch([{"doc":"pcl","title":"pcl","content":"# pcl\n\nA package for parsing [PCL](https://github.com/mine-tech-oficial/pcl) files.\n\n[![Package Version](https://img.shields.io/hexpm/v/pcl)](https://hex.pm/packages/pcl)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/pcl/)\n\n## Quickstart\n\nTo check the capabilities of this package, just run the following example:\n\n```gleam\nimport pcl\n\npub fn main() {\n  // Your input string\n  let input = &quot;hello: \\&quot;world\\&quot;&quot;\n  // Parse the input string\n  let output = pcl.parse(input)\n  // Check if the parsing was successful\n  assert Ok(value) = output\n  // Print the parsed value\n  io.debug(value)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/pcl&gt;.\n\n## Installation\n\nTo install this package, run the following command:\n\n```sh\ngleam add pcl\n```\n\nThe docs are available at &lt;https://hexdocs.pm/pcl&gt;.\n","url":"index.html"},{"doc":"pcl","title":"Error","content":"pub type Error {\n  LexerError(lexer.Error)\n  ParserError(List(nibble.DeadEnd(Token, Nil)))\n}\n\nLexerError(lexer.Error)\n\n\nParserError(List(nibble.DeadEnd(Token, Nil)))\n\n\nSynonyms:\npcl.Error\npcl Error","url":"pcl.html#Error"},{"doc":"pcl","title":"Token","content":"pub type Token {\n  Hyphen\n  Colon\n  End\n  VariableName(String)\n  ObjectT\n  ListT\n  TrueT\n  FalseT\n  StringT(String)\n  IntT(Int)\n  FloatT(Float)\n}\n\nHyphen\n\n\nColon\n\n\nEnd\n\n\nVariableName(String)\n\n\nObjectT\n\n\nListT\n\n\nTrueT\n\n\nFalseT\n\n\nStringT(String)\n\n\nIntT(Int)\n\n\nFloatT(Float)\n\n\nSynonyms:\npcl.Token\npcl Token","url":"pcl.html#Token"},{"doc":"pcl","title":"Value","content":"pub type Value {\n  String(String)\n  Int(Int)\n  Float(Float)\n  Bool(Bool)\n  Object(List(#(String, Value)))\n  List(List(Value))\n}\n\nString(String)\n\n\nInt(Int)\n\n\nFloat(Float)\n\n\nBool(Bool)\n\n\nObject(List(#(String, Value)))\n\n\nList(List(Value))\n\n\nSynonyms:\npcl.Value\npcl Value","url":"pcl.html#Value"},{"doc":"pcl","title":"parse","content":"pub fn parse(\n  source: String,\n) -&gt; Result(List(#(String, Value)), Error)\n\nSynonyms:\npcl.parse\npcl parse","url":"pcl.html#parse"},{"doc":"pcl","title":"pcl","content":"","url":"pcl.html"}]);